BasePluginConvention (Gradle API 5.1)

Package org.gradle.api.plugins

## Class BasePluginConvention

- java.lang.Object
- - org.gradle.api.plugins.BasePluginConvention

-     public abstract class BasePluginConvention
      extends Object

  A `Convention` used for the BasePlugin.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasePluginConvention()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract String` | `getArchivesBaseName()` | The base name to use for archive files.
    `abstract File` | `getDistsDir()` | Deprecated.
    `abstract String` | `getDistsDirName()` | The name for the distributions directory.
    `abstract File` | `getLibsDir()` | Deprecated.
    `abstract String` | `getLibsDirName()` | The name for the libs directory.
    `abstract org.gradle.api.internal.project.ProjectInternal` | `getProject()` |
    `abstract void` | `setArchivesBaseName​(String archivesBaseName)` |
    `abstract void` | `setDistsDirName​(String distsDirName)` |
    `abstract void` | `setLibsDirName​(String libsDirName)` |
    `abstract void` | `setProject​(org.gradle.api.internal.project.ProjectInternal project)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasePluginConvention

          public BasePluginConvention()

  - ### Method Detail

    - #### getDistsDir

          @Deprecated
          public abstract File getDistsDir()

      Deprecated.
      Returns the directory to generate TAR and ZIP archives into.
      Returns:
        The directory. Never returns null.

    - #### getLibsDir

          @Deprecated
          public abstract File getLibsDir()

      Deprecated.
      Returns the directory to generate JAR and WAR archives into.
      Returns:
        The directory. Never returns null.

    - #### getProject

          public abstract org.gradle.api.internal.project.ProjectInternal getProject()

    - #### setProject

          public abstract void setProject​(org.gradle.api.internal.project.ProjectInternal project)

    - #### getDistsDirName

          public abstract String getDistsDirName()

      The name for the distributions directory. This in interpreted relative to the project' build directory.

    - #### setDistsDirName

          public abstract void setDistsDirName​(String distsDirName)

    - #### getLibsDirName

          public abstract String getLibsDirName()

      The name for the libs directory. This in interpreted relative to the project' build directory.

    - #### setLibsDirName

          public abstract void setLibsDirName​(String libsDirName)

    - #### getArchivesBaseName

          public abstract String getArchivesBaseName()

      The base name to use for archive files.

    - #### setArchivesBaseName

          public abstract void setArchivesBaseName​(String archivesBaseName)